Index: trunk/desktop/mainWindow.rbfrm
===================================================================
--- trunk/desktop/mainWindow.rbfrm	(revision 21)
+++ trunk/desktop/mainWindow.rbfrm	(revision 22)
@@ -2685,5 +2633,5 @@
       TextFont        =   "System"
       TextSize        =   0
-      Top             =   312
+      Top             =   330
       Underline       =   ""
       Visible         =   True
@@ -2714,5 +2662,5 @@
       TextFont        =   "System"
       TextSize        =   0
-      Top             =   312
+      Top             =   330
       Underline       =   ""
       Visible         =   False
@@ -2793,4 +2741,42 @@
 		  end if
 		  
+		  #if TargetWin32
+		    //Have to change text colors since Windows does not allow for transparancy of the tab panel
+		    StaticText_BackTiming.TextColor = &c000000
+		    StaticText_Byte1.TextColor = &c000000
+		    StaticText_Byte10.TextColor = &c000000
+		    StaticText_Byte11.TextColor = &c000000
+		    StaticText_Byte12.TextColor = &c000000
+		    StaticText_Byte13.TextColor = &c000000
+		    StaticText_Byte14.TextColor = &c000000
+		    StaticText_Byte15.TextColor = &c000000
+		    StaticText_Byte16.TextColor = &c000000
+		    StaticText_Byte17.TextColor = &c000000
+		    StaticText_Byte18.TextColor = &c000000
+		    StaticText_Byte2.TextColor = &c000000
+		    StaticText_Byte3.TextColor = &c000000
+		    StaticText_Byte4.TextColor = &c000000
+		    StaticText_Byte5.TextColor = &c000000
+		    StaticText_Byte6.TextColor = &c000000
+		    StaticText_Byte7.TextColor = &c000000
+		    StaticText_Byte8.TextColor = &c000000
+		    StaticText_Byte9.TextColor = &c000000
+		    StaticText_CarType.TextColor = &c000000
+		    StaticText_DBand.TextColor = &c000000
+		    StaticText_DFreq.TextColor = &c000000
+		    StaticText_Dump.TextColor = &c000000
+		    StaticText_Gain.TextColor = &c000000
+		    StaticText_Nuetral.TextColor = &c000000
+		    StaticText_Profiles.TextColor = &c000000
+		    StaticText_Punch.TextColor = &c000000
+		    StaticText_SerialPort.TextColor = &c000000
+		    StaticText_Speed.TextColor = &c000000
+		    StaticText_STGain.TextColor = &c000000
+		    StaticText_THGain.TextColor = &c000000
+		    StaticText_Version.TextColor = &c000000
+		    StaticText_VerticalIntertia.TextColor = &c000000
+		    
+		  #endif
+		  
 		End Sub
 	#tag EndEvent
@@ -2808,8 +2794,9 @@
 		    Slider_STGain.Enabled = True
 		    StaticText_STGain.Enabled = True
+		    EditField_STGain.Enabled = True
 		    
 		    Slider_THGain.Enabled = True
 		    StaticText_THGain.Enabled = True
-		    
+		    EditField_THGain.Enabled = True
 		    
 		  Case "dNaNo"
@@ -2822,7 +2809,9 @@
 		    Slider_STGain.Enabled = True
 		    StaticText_STGain.Enabled = True
+		    EditField_STGain.Enabled = True
 		    
 		    Slider_THGain.Enabled = True
 		    StaticText_THGain.Enabled = True
+		    EditField_THGain.Enabled = True
 		    
 		  Case "ASF"
@@ -2835,9 +2824,10 @@
 		    StaticText_STGain.Enabled = False
 		    Slider_STGain.Value = 255
+		    EditField_STGain.Enabled = False
 		    
 		    Slider_THGain.Enabled = False
 		    StaticText_THGain.Enabled = False
 		    Slider_THGain.Value = 255
-		    
+		    EditField_THGain.Enabled = False
 		    
 		  end select
@@ -3189,47 +3179,271 @@
 	#tag EndEvent
 #tag EndEvents
-#tag Events PopupMenu_Profile
-	#tag Event
-		Sub Change()
+#tag Events EditField_Byte17
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
 		  if me.Text <> "" then
-		    PushButton_SaveProfile.Visible = true
-		    PushButton_Delete.Visible = true
-		    ICSSerialPort1.loadProfile(me.Text)
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
 		  end if
-		End Sub
-	#tag EndEvent
-	#tag Event
-		Sub Open()
-		  dim s() as string
+		  
+		  dim d as double
 		  dim i as integer
-		  
-		  s = ICSSerialPort1.listProfiles
-		  
-		  if UBound(s) > -1 then
-		    for each element as string in s
-		      me.AddRow(element)
-		    next
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte17 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte16
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
 		  end if
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events PushButton_Create
-	#tag Event
-		Sub Action()
-		  dim tempProfWindow as new createProfile
-		  tempProfWindow.Show
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events PushButton_Delete
-	#tag Event
-		Sub Action()
-		  ICSSerialPort1.deleteProfile(PopupMenu_Profile.Text)
-		  
-		  PopupMenu_Profile.RemoveRow(PopupMenu_Profile.ListIndex)
-		  
-		  //Make sure to hide the save and delete profile buttons since no profile will be selected after this has been deleted
-		  PushButton_SaveProfile.Visible = False
-		  PushButton_Delete.Visible = False
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte16 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte15
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte15 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte14
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte14 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte13
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte13 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte12
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte12 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte11
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte11 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte10
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte10 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte9
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte09 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte8
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte08 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte7
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte07 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte6
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte06 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte5
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte05 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte4
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte04 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events EditField_Byte3
+	#tag Event
+		Sub TextChange()
+		  //Make sure we have a valid value if not then set it to something
+		  if me.Text <> "" then
+		    if val(me.Text) > 255 or val(me.Text) < 0 then
+		      me.Text = "255"
+		    end if
+		  end if
+		  
+		  dim d as double
+		  dim i as integer
+		  d = val(me.Text)
+		  i = d
+		  ICSSerialPort1.Byte03 = chrb(i)
 		End Sub
 	#tag EndEvent
@@ -3505,271 +3719,47 @@
 	#tag EndEvent
 #tag EndEvents
-#tag Events EditField_Byte17
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
+#tag Events PopupMenu_Profile
+	#tag Event
+		Sub Change()
 		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
+		    PushButton_SaveProfile.Visible = true
+		    PushButton_Delete.Visible = true
+		    ICSSerialPort1.loadProfile(me.Text)
 		  end if
-		  
-		  dim d as double
+		End Sub
+	#tag EndEvent
+	#tag Event
+		Sub Open()
+		  dim s() as string
 		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte17 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte16
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
+		  
+		  s = ICSSerialPort1.listProfiles
+		  
+		  if UBound(s) > -1 then
+		    for each element as string in s
+		      me.AddRow(element)
+		    next
 		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte16 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte15
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte15 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte14
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte14 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte13
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte13 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte12
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte12 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte11
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte11 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte10
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte10 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte9
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte09 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte8
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte08 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte7
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte07 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte6
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte06 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte5
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte05 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte4
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte04 = chrb(i)
-		End Sub
-	#tag EndEvent
-#tag EndEvents
-#tag Events EditField_Byte3
-	#tag Event
-		Sub TextChange()
-		  //Make sure we have a valid value if not then set it to something
-		  if me.Text <> "" then
-		    if val(me.Text) > 255 or val(me.Text) < 0 then
-		      me.Text = "255"
-		    end if
-		  end if
-		  
-		  dim d as double
-		  dim i as integer
-		  d = val(me.Text)
-		  i = d
-		  ICSSerialPort1.Byte03 = chrb(i)
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PushButton_Create
+	#tag Event
+		Sub Action()
+		  dim tempProfWindow as new createProfile
+		  tempProfWindow.Show
+		End Sub
+	#tag EndEvent
+#tag EndEvents
+#tag Events PushButton_Delete
+	#tag Event
+		Sub Action()
+		  ICSSerialPort1.deleteProfile(PopupMenu_Profile.Text)
+		  
+		  PopupMenu_Profile.RemoveRow(PopupMenu_Profile.ListIndex)
+		  
+		  //Make sure to hide the save and delete profile buttons since no profile will be selected after this has been deleted
+		  PushButton_SaveProfile.Visible = False
+		  PushButton_Delete.Visible = False
 		End Sub
 	#tag EndEvent
Index: trunk/desktop/FlipSideICS.rbvcp
===================================================================
--- trunk/desktop/FlipSideICS.rbvcp	(revision 13)
+++ trunk/desktop/FlipSideICS.rbvcp	(revision 22)
@@ -4,7 +4,7 @@
 Window=mainWindow;mainWindow.rbfrm;&hDF8AE23;&h0;false
 MenuBar=mainMenuBar;mainMenuBar.rbmnu;&h4170C4A5;&h0;false
-Picture=background;background.jpg;&h527E8FD9;&h0;false;0;&h0
 Class=ICSSerialPort;ICSSerialPort.rbbas;&h73165B84;&h0;false
 Window=createProfile;createProfile.rbfrm;&h565C380D;&h0;false
+Picture=background;background.jpg;&h527E8FD9;&h0;false;0;&h0
 DefaultWindow=mainWindow
 AppMenuBar=mainMenuBar
@@ -12,5 +12,5 @@
 MinorVersion=1
 SubVersion=0
-NonRelease=9
+NonRelease=13
 Release=2
 InfoVersion=
@@ -21,5 +21,5 @@
 WinProductName=
 AutoIncrementVersionInformation=True
-BuildFlags=&h4000
+BuildFlags=&h4010
 BuildLanguage=&h0
 DebugLanguage=&h0
